VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
IDependency::DeferChanges Class Reference

helper class to defer changes until instance is destroyed. More...

`#include <idependency.h>`

## Public Member Functions
| DeferChanges (IDependency *dep)
| ~DeferChanges () noexcept

## Protected Attributes
IDependency * | dep

## Detailed Description

helper class to defer changes until instance is destroyed.

## Constructor & Destructor Documentation

## ◆ DeferChanges()

DeferChanges | ( | IDependency * | dep | ) |
| inline explicit

## ◆ ~DeferChanges()

~DeferChanges | ( |  | ) |
| inline noexcept

## Member Data Documentation

## ◆ dep

IDependency* dep
| protected

The documentation for this class was generated from the following file:

- idependency.h